path: /build/build/sdl2-mixer-media-libs-2.8.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-flac -libxmp -mod -modplug -timidity -tremor fluidsynth midi mp3 opus vorbis" emerge media-libs/sdl2-mixer -pv -t && \
    USE="-flac -libxmp -mod -modplug -timidity -tremor fluidsynth midi mp3 opus vorbis" emerge -j ${JOBS} --nodeps media-libs/sdl2-mixer
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/sdl2-mixer && luet-portage --dir /pkgdir/sdl2-mixer
    media-libs/sdl2-mixer && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4c922279df782df7f9de30b7cc19ed75597cdcb817f36051b272d797941e5ec1
  package:
    name: sdl2-mixer
    version: 2.8.0
    category: media-libs
    use_flags:
    - -flac
    - -libxmp
    - -mod
    - -modplug
    - -timidity
    - -tremor
    - fluidsynth
    - midi
    - mp3
    - opus
    - vorbis
    requires:
    - name: fluidsynth
      version: '>=0'
      category: media-sound
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: An audio mixer that supports various file formats for SDL.
    uri:
    - https://libsdl.org/projects/SDL_mixer/
    license: ZLIB
    buildtimestamp: 2024-02-13 20:08:21.177748961 +0000 UTC m=+167.642712676
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
      DEPEND: media-libs/libsdl2 flac? ( media-libs/flac ) midi? ( fluidsynth? ( media-sound/fluidsynth
        ) timidity? ( media-sound/timidity++ ) ) mod? ( modplug? ( media-libs/libmodplug
        ) libxmp? ( media-libs/libxmp ) ) mp3? ( media-sound/mpg123 ) opus? ( media-libs/opusfile
        ) vorbis? ( tremor? ( media-libs/tremor ) !tremor? ( media-libs/libvorbis
        media-libs/libogg ) )
      IUSE: flac fluidsynth libxmp midi mod modplug mp3 opus playtools static-libs
        timidity tremor vorbis +wav
      RDEPEND: media-libs/libsdl2 flac? ( media-libs/flac ) midi? ( fluidsynth? (
        media-sound/fluidsynth ) timidity? ( media-sound/timidity++ ) ) mod? ( modplug?
        ( media-libs/libmodplug ) libxmp? ( media-libs/libxmp ) ) mp3? ( media-sound/mpg123
        ) opus? ( media-libs/opusfile ) vorbis? ( tremor? ( media-libs/tremor ) !tremor?
        ( media-libs/libvorbis media-libs/libogg ) )
      emerge.packages: media-libs/sdl2-mixer
      kit: media-kit
      original.package.name: media-libs/sdl2-mixer
      original.package.slot: "0"
      original.package.version: 2.8.0
    treedir: /build/packages
  package_dir: /pkgdir/sdl2-mixer
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e2166c15a2385fa34b79c87cd3a89129bf166b10b3e1f9f21d7e612028b085c4
compressiontype: zstd
files:
- usr/include/SDL2/SDL_mixer.h
- usr/lib64/cmake/SDL2_mixer/sdl2_mixer-config-version.cmake
- usr/lib64/cmake/SDL2_mixer/sdl2_mixer-config.cmake
- usr/lib64/libSDL2_mixer-2.0.so.0
- usr/lib64/libSDL2_mixer-2.0.so.0.800.0
- usr/lib64/libSDL2_mixer.so
- usr/lib64/pkgconfig/SDL2_mixer.pc
- usr/share/doc/sdl2-mixer-2.8.0/CHANGES.txt.bz2
- usr/share/doc/sdl2-mixer-2.8.0/README.txt.bz2
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/BDEPEND
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/BUILD_TIME
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/CATEGORY
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/CBUILD
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/CFLAGS
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/CHOST
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/CONTENTS
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/COUNTER
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/CXXFLAGS
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/DEFINED_PHASES
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/DEPEND
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/DESCRIPTION
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/EAPI
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/FEATURES
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/HOMEPAGE
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/INHERITED
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/IUSE
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/IUSE_EFFECTIVE
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/KEYWORDS
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/LDFLAGS
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/LICENSE
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/NEEDED
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/PF
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/PROVIDES
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/RDEPEND
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/REQUIRES
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/SIZE
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/SLOT
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/USE
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/environment.bz2
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/repository
- var/db/pkg/media-libs/sdl2-mixer-2.8.0/sdl2-mixer-2.8.0.ebuild
package_cacheimage: ""
runtime:
  name: sdl2-mixer
  version: 2.8.0
  category: media-libs
  use_flags:
  - -flac
  - -libxmp
  - -mod
  - -modplug
  - -timidity
  - -tremor
  - fluidsynth
  - midi
  - mp3
  - opus
  - vorbis
  requires:
  - name: libvorbis
    version: '>=0'
    category: media-libs
  - name: opusfile
    version: '>=0'
    category: media-libs
  - name: fluidsynth
    version: '>=0'
    category: media-sound
  - name: mpg123
    version: '>=0'
    category: media-sound
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: An audio mixer that supports various file formats for SDL.
  uri:
  - https://libsdl.org/projects/SDL_mixer/
  license: ZLIB
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
    DEPEND: media-libs/libsdl2 flac? ( media-libs/flac ) midi? ( fluidsynth? ( media-sound/fluidsynth
      ) timidity? ( media-sound/timidity++ ) ) mod? ( modplug? ( media-libs/libmodplug
      ) libxmp? ( media-libs/libxmp ) ) mp3? ( media-sound/mpg123 ) opus? ( media-libs/opusfile
      ) vorbis? ( tremor? ( media-libs/tremor ) !tremor? ( media-libs/libvorbis media-libs/libogg
      ) )
    IUSE: flac fluidsynth libxmp midi mod modplug mp3 opus playtools static-libs timidity
      tremor vorbis +wav
    RDEPEND: media-libs/libsdl2 flac? ( media-libs/flac ) midi? ( fluidsynth? ( media-sound/fluidsynth
      ) timidity? ( media-sound/timidity++ ) ) mod? ( modplug? ( media-libs/libmodplug
      ) libxmp? ( media-libs/libxmp ) ) mp3? ( media-sound/mpg123 ) opus? ( media-libs/opusfile
      ) vorbis? ( tremor? ( media-libs/tremor ) !tremor? ( media-libs/libvorbis media-libs/libogg
      ) )
    emerge.packages: media-libs/sdl2-mixer
    kit: media-kit
    original.package.name: media-libs/sdl2-mixer
    original.package.slot: "0"
    original.package.version: 2.8.0
